Skip to main content
GET
/
1
/
query_results
/
{datasetSlug}
/
{queryResultId}
Get Query Result
curl --request GET \
  --url https://api.honeycomb.io/1/query_results/{datasetSlug}/{queryResultId} \
  --header 'X-Honeycomb-Team: <api-key>'
{
  "query": {
    "calculations": [
      {
        "op": "COUNT"
      }
    ],
    "orders": [
      {
        "op": "COUNT",
        "order": "descending"
      }
    ],
    "limit": 10000,
    "time_range": 7200
  },
  "complete": true,
  "id": "dfg456",
  "data": {
    "series": [],
    "results": [
      {
        "data": {
          "COUNT": 20769
        }
      }
    ]
  },
  "links": {
    "query_url": "https://ui.honeycomb.io/myteam/datasets/test-via-curl/result/dfg456",
    "graph_image_url": "https://ui.honeycomb.io/myteam/datasets/test-via-curl/result/dfg456/snapshot"
  }
}

Authorizations

X-Honeycomb-Team
string
header
required

Authenticate using a Honeycomb Configuration Key.

Pass the Token in the X-Honeycomb-Team header:

X-Honeycomb-Team: 1234567890123456789012

If you created your key using the API, use data.attributes.secret; this is the same value as the Token in the UI.

To learn how to create a Configuration Key, visit Manage Environment API Keys. To learn more about authenticating requests, visit API Authentication.

Path Parameters

datasetSlug
string
required

The dataset slug or use __all__ for endpoints that support environment-wide operations.

queryResultId
string
required

The unique identifier (ID) of the query result.

Response

Success

Query Results for the Query ID. The response body will be a JSON object with "complete": true and the results populated once the query is complete. The response body will contain caching headers to indicate that once complete, and the Query Result may be cached, as it will not change.

query
object
id
string
read-only

The unique identifier (ID) of a Query Result

Example:

"sGUnkBHgRFN"

complete
boolean
read-only

Indicates if the query results are available yet or not. For example, is the query still being processed or complete?

Example:

true

data
object

An object containing the query result data

An object containing UI links to the query result and query result graph